GET api/mediwaveprogramstepapi/step/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

MediWaveProgramStepViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

Range: inclusive between 0 and ∞

id

globally unique identifier

None.

program_id

globally unique identifier

Required

mediwave_program_step_type_id

globally unique identifier

Required

name

string

Required

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "779c9e14-5185-4bd5-af69-d417e9145085",
  "program_id": "6ceee731-87ef-43b3-b6db-0c7ac9ff3937",
  "mediwave_program_step_type_id": "51144837-effd-4657-bc99-570e23448591",
  "name": "sample string 6"
}

application/xml, text/xml

Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <id>779c9e14-5185-4bd5-af69-d417e9145085</id>
  <mediwave_program_step_type_id>51144837-effd-4657-bc99-570e23448591</mediwave_program_step_type_id>
  <name>sample string 6</name>
  <program_id>6ceee731-87ef-43b3-b6db-0c7ac9ff3937</program_id>
</mediwave_program_step>